> ## Documentation Index
> Fetch the complete documentation index at: https://developers.crmclick.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Spot Trade Historical

> Returns the latest trade with its price, volume, and direction.



## OpenAPI

````yaml GET /spot/historical
openapi: 3.0.1
info:
  title: OpenAPI Plant Store
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://cgk-api.crmclick.io
security: []
paths:
  /spot/historical:
    get:
      description: Returns the latest trade with its price, volume, and direction.
      parameters:
        - name: ticker_id
          in: query
          required: true
          description: The trading symbol of this object, e.g. BTC_USDT, ETH_USDT
          schema:
            type: string
            default: BTC_USDT
        - name: limit
          in: query
          required: true
          description: The maximum number of results to return
          schema:
            type: integer
            format: int32
            default: 100
      responses:
        '200':
          description: Spot trade historical response
          content:
            application/json:
              schema:
                type: array
                items:
                  required:
                    - trade_id
                    - ticker_id
                  type: object
                  properties:
                    ticker_id:
                      description: >-
                        The trading symbol of this object, e.g. BTC_USDT,
                        ETH_USDT
                      type: string
                    trade_id:
                      description: Trade id
                      type: number
                    price:
                      description: Trade price
                      type: number
                    type:
                      description: Trade direction
                      type: number
        '400':
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
components:
  schemas:
    ApiError:
      required:
        - error
      type: object
      properties:
        error:
          type: string

````